package kontroleri;

import beans.Korisnik;
import beans.Polaganje;
import java.sql.SQLException;
import util.SessionUtils;
import java.util.ArrayList;
import javax.faces.bean.ManagedBean;
import javax.faces.bean.SessionScoped;
import javax.servlet.http.HttpSession;
import util.DB;
import util.dao.LoginDAO;
import util.dao.StudentDAO;

/**
 *
 * @author Drazen
 */
@ManagedBean(name = "loginController")
@SessionScoped
public class LoginController {

    private String user;
    private String pass;
    private Korisnik korisnik;
    private ArrayList<Polaganje> lista;

    public String getUser() {
        return user;
    }

    public String getPass() {
        return pass;
    }

    public void setUser(String user) {
        this.user = user;
    }

    public void setPass(String pass) {
        this.pass = pass;
    }

    public Korisnik getKorisnik() {
        return korisnik;
    }

    public void setKorisnik(Korisnik korisnik) {
        this.korisnik = korisnik;
    }

    public ArrayList<Polaganje> getLista() {
        return lista;
    }

    private String poruka = "";

    public String getPoruka() {
        return poruka;
    }

    public void setPoruka(String poruka) {
        this.poruka = poruka;
    }
    
    public String login() throws SQLException {
        int tip = LoginDAO.dohvatiTip(user, pass);
        if (tip == 1) {
            korisnik = LoginDAO.dohvatiKorisnika(user, pass);
            /* rad sa sesijom za Nastavnika ako hocemo jos nesto da ubacimo u sesiju */
            HttpSession sesija= SessionUtils.getSession();
            sesija.setAttribute("username", user); //stavlja samo username u sesiju
            sesija.setAttribute("tip", "nastavnik"); //stavlja jedan fleg u sesiju            
            //ovo sledece je ubaceno vec zbog SessionScoped
            //sesija.setAttribute("korisnik", korisnik); //stavlja objekat Korisnik u sesiju
            return "nastavnik";
        } else if (tip == 2){
            korisnik = LoginDAO.dohvatiKorisnika(user, pass);
            
            HttpSession sesija = SessionUtils.getSession();
            sesija.setAttribute("username", user);
            sesija.setAttribute("tip", "student");
            //vec u sesiji:
            //sesija.setAttribute("korisnik", korisnik);
            
            //lista svih mojih predmeta
            lista = StudentDAO.dohvatiIspite(user);
            return "student";
        } else if (tip != 0) {
            poruka = "Nije dobar tip korisnika.";
            return "index";
        } else {
            poruka = "Neuspešno uneti kredencijali.";
            return "index";
        }
    }

    public String logout() {
        HttpSession sesija = SessionUtils.getSession();
        sesija.invalidate();
        return "index";
    }
}
