package kontroleri;

import beans.Polaganje;
import util.SessionUtils;
import beans.Student;
import java.sql.SQLException;
import util.dao.NastavnikDAO;
import javax.faces.bean.ManagedBean;
import javax.faces.bean.RequestScoped;
import javax.servlet.http.HttpSession;

/**
 *
 * @author Drazen
 */
@ManagedBean(name = "nastavnikController")
@RequestScoped
public class NastavnikController {
    private String indeks;
    private Student student = new Student();
    private String poruka = "";
    
    public String getIndeks() {
        return indeks;
    }

    public void setIndeks(String indeks) {
        this.indeks = indeks;
    }

    public Student getStudent() {
        return student;
    }

    public void setStudent(Student student) {
        this.student = student;
    }

    public String getPoruka() {
        return poruka;
    }
    
    public String pronadjiStudenta() throws SQLException{
        HttpSession sesija= SessionUtils.getSession();
        student = NastavnikDAO.dohvatiStudenta(indeks);
        if(student != null)
            return "nastavnik_dosijeStudenta";
        else{
            poruka = "Nema traženog studenta ili traženi student nema nijednu ocenu!";
            return "nastavnik";
        }
    }
    
    private Polaganje ispit = new Polaganje();

    public Polaganje getIspit() {
        return ispit;
    }

    public void setIspit(Polaganje ispit) {
        this.ispit = ispit;
    }
    
    public String unesiOcenu() throws SQLException{
        HttpSession sesija= SessionUtils.getSession();
        int uslov = NastavnikDAO.unosPolaganja(ispit);
        if(uslov == 1){
            poruka = "Uspešno uneseno polaganje: [" +
                    ispit.getIndeks() + "," + ispit.getSifraPredmet()
                    + "," + ispit.getOcena() + "]";
            return "nastavnik";
        } else if(uslov == 2) {
            poruka = "Uspešno izmenjena ocena: [" +
                    ispit.getIndeks() + "," + ispit.getSifraPredmet()
                    + "," + ispit.getOcena() + "]";
            return "nastavnik";
        } else if(uslov == 3) {
            poruka = "Ocena 5 je već uneta za tog studenta i taj ispit!";
            return "nastavnik";
        } else {
            poruka = "Dogodila se greska prilikom unosa!";
            return "nastavnik";
        }
    }
}