package util.dao;
import beans.Korisnik;
import java.sql.Connection;
import java.sql.PreparedStatement;
import java.sql.ResultSet;
import java.sql.SQLException;
import util.DB;

public class LoginDAO {
	public static int dohvatiTip(String user, String password) throws SQLException {
		Connection con = null;
		PreparedStatement ps = null;

		try {
			con = DB.getInstance().getConnection();
			ps = con.prepareStatement("SELECT korime, lozinka, ime, prezime, jeNastavnik FROM korisnici WHERE korime = ? AND lozinka = ?");
			ps.setString(1, user);
			ps.setString(2, password);

			ResultSet rs = ps.executeQuery();

			if (rs.next()) {
                            int tip = rs.getInt("jeNastavnik");
                            return tip;
			}
		} catch (SQLException ex) {
			System.out.println("Greska u logovanju -->" + ex.getMessage());
			return 0;
		} finally {
                    ps.close();
                    DB.getInstance().putConnection(con);    
		}
		return 0;
	}
        
        public static Korisnik dohvatiKorisnika(String user, String password) throws SQLException {
		Connection con = null;
		PreparedStatement ps = null;

		try {
			con = DB.getInstance().getConnection();
			ps = con.prepareStatement("SELECT id, korime, lozinka, ime, prezime, jeNastavnik FROM korisnici WHERE korime = ? AND lozinka = ?");
			ps.setString(1, user);
			ps.setString(2, password);

			ResultSet rs = ps.executeQuery();

			if (rs.next()) {
                            int id = rs.getInt("id");
                            String korime = rs.getString("korime");
                            String ime = rs.getString("ime");
                            String prezime = rs.getString("prezime");
                            
                            Korisnik kor = new Korisnik();
                            kor.setId(id);
                            kor.setKorime(korime);
                            kor.setIme(ime);
                            kor.setPrezime(prezime);
                            return kor;
			}
		} catch (SQLException ex) {
			System.out.println("Greska u logovanju -->" + ex.getMessage());
			return null;
		} finally {
                    ps.close();
                    DB.getInstance().putConnection(con);    
		}
		return null;
	}
}