package util.dao;
import beans.Polaganje;
import beans.Student;
import java.sql.Connection;
import java.sql.PreparedStatement;
import java.sql.ResultSet;
import java.sql.SQLException;
import util.DB;

public class NastavnikDAO {	
    
        public static Student dohvatiStudenta(String indeks) throws SQLException {
		Connection con = null;
		PreparedStatement ps = null;

		try {
			con = DB.getInstance().getConnection();
			ps = con.prepareStatement("SELECT ime, prezime, COUNT(*) as broj, AVG(ocena) as prosek  FROM korisnici k LEFT JOIN ispiti i ON k.korime = i.korime WHERE k.korime = ? AND i.ocena > 5 GROUP BY k.korime");
			ps.setString(1, indeks);

			ResultSet rs = ps.executeQuery();

			if (rs.next()) {
                            String ime = rs.getString("ime");
                            String prezime = rs.getString("prezime");
                            int brojIspita = rs.getInt("broj");
                            double prosek = rs.getDouble("prosek");
                            
                            Student stud = new Student();
                            stud.setKorime(indeks);
                            stud.setIme(ime);
                            stud.setPrezime(prezime);
                            stud.setBrojPolozenih(brojIspita);
                            stud.setProsek(prosek);
                            
                            return stud;
			}
		} catch (SQLException ex) {
			System.out.println("Greska u upitu -->" + ex.getMessage());
			return null;
		} finally {
                    ps.close();	
                    DB.getInstance().putConnection(con);    
		}
		return null;
	}
        
        public static int unosPolaganja(Polaganje p) throws SQLException {
		Connection con = null;
		PreparedStatement ps = null;
                int fleg; 
		try {
			con = DB.getInstance().getConnection();
                        ps = con.prepareStatement("SELECT * FROM ispiti WHERE korime=? AND sifraPredmet=? AND datum=?");
                        ps.setString(1, p.getIndeks());
                        ps.setString(2, p.getSifraPredmet());
                        ps.setDate(3, p.getDatumS());
                        
                        ResultSet rs = ps.executeQuery();
                        
                        if(rs.next()){
                            if(rs.getInt("ocena") != 5){
                                ps = con.prepareStatement("UPDATE ispiti SET ocena=? WHERE korime=? AND sifraPredmet=? AND datum=?");
                                ps.setInt(1, p.getOcena());
                                ps.setString(2, p.getIndeks());
                                ps.setString(3, p.getSifraPredmet());
                                ps.setDate(4, p.getDatumS());

                                fleg = ps.executeUpdate();
                                if(fleg == 1)
                                    return 2;
                            } else {
                                return 3;
                            }
                        } else {
                            ps = con.prepareStatement("INSERT INTO ispiti(korime, sifraPredmet, datum, ocena) VALUES(?,?,?,?)");
                            ps.setString(1, p.getIndeks());
                            ps.setString(2, p.getSifraPredmet());
                            ps.setDate(3, p.getDatumS());
                            ps.setInt(4, p.getOcena());

                            fleg = ps.executeUpdate();
                            return fleg;
                        }
		} catch (SQLException ex) {
			System.out.println("Greska u upitu -->" + ex.getMessage());
			return 0;
		} finally {
                    ps.close();	
                    DB.getInstance().putConnection(con);    
		}
		return 0;
	}
}