package util.dao;
import beans.Polaganje;
import beans.Student;
import java.sql.Connection;
import java.sql.PreparedStatement;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.util.ArrayList;
import util.DB;

public class StudentDAO {	
    
        public static ArrayList<Polaganje> dohvatiIspite(String indeks) throws SQLException {
		
                ArrayList<Polaganje> lista = new ArrayList<Polaganje>();
                Connection con = null;
		PreparedStatement ps = null;

		try {
			con = DB.getInstance().getConnection();
			ps = con.prepareStatement("SELECT * FROM ispiti WHERE korime=?");
			ps.setString(1, indeks);
                        
                        ResultSet rezultat = ps.executeQuery();
                        while(rezultat.next()){
                            Polaganje novo = new Polaganje();
                            novo.setIndeks(rezultat.getString("korime"));
                            novo.setSifraPredmet(rezultat.getString("sifraPredmet"));
                            novo.setDatum(rezultat.getDate("datum"));
                            novo.setOcena(rezultat.getInt("ocena"));
                            lista.add(novo);
                        }
                        return lista;
                } catch (SQLException ex) {
			System.out.println("Greska u upitu -->" + ex.getMessage());
			return null;
		} finally {
                    ps.close();	
                    DB.getInstance().putConnection(con);    
		}
        }
}